package com.ruoyi.enums;

import java.util.Arrays;

/**
 * 积分记录枚举
 * @Author liwenlong
 */
public enum IntegralDetailEnums {

    /**
     * 商城订单支付
     */
    ORDER_PAY(1, "订单支付"),
    /**
     * 用户分享佣金收益
     */
    SHARE_TEAM_COMMISSION(2, "订单积分"),


    /**
     * 平台转入
     */
    PLAT_ADD(6, "平台转入"),

    /**
     * 平台扣除
     */
    PLAT_SUB(7, "平台扣除"),

    /**
     * 邀请注册赠送积分
     */
    REFEREE_SEND(8, "邀请注册赠送积分"),
    ;

    private final Integer code;
    private final String name;

    public static String getName(Integer code) {
        return getIntegralDetailEnums(code).getName();
    }

    public static IntegralDetailEnums getIntegralDetailEnums(Integer code) {
        return Arrays.stream(IntegralDetailEnums.values()).filter(c->c.getCode().equals(code)).findFirst().get();
    }

    IntegralDetailEnums(Integer code, String name) {
        this.code = code;
        this.name = name;
    }

    public Integer getCode() {
        return code;
    }

    public String getName() {
        return name;
    }
}
